package com.example.fernando.ejemplo8;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    private EditText info;
    private TextView resultado;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        info = (EditText) findViewById(R.id.info);
        resultado = (TextView) findViewById(R.id.resultado);
    }
    public void enviar(View view) {
        String leido = info.getText().toString();
        if (!leido.equals("")) {
            info.setText("");
            Intent mensaje = new Intent(this, Main2Activity.class);
            mensaje.putExtra(Main2Activity.EXTRA_INFO, leido);
            startActivityForResult(mensaje, 0);
        }
    }
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        if ((requestCode == 0) && (resultCode==RESULT_OK))
            if (data!=null)
                resultado.setText(data.getStringExtra(Main2Activity.EXTRA_RESUL));
    }
}